import request from '@/utils/request'

// 查询学校硕士点列表
export function listMallSchoolMaster(query) {
  return request({
    url: '/mall/mallSchoolMaster/list',
    method: 'get',
    params: query
  })
}

// 查询学校硕士点详细
export function getMallSchoolMaster(masterId) {
  return request({
    url: '/mall/mallSchoolMaster/' + masterId,
    method: 'get'
  })
}

// 新增学校硕士点
export function addMallSchoolMaster(data) {
  return request({
    url: '/mall/mallSchoolMaster',
    method: 'post',
    data: data
  })
}

// 修改学校硕士点
export function updateMallSchoolMaster(data) {
  return request({
    url: '/mall/mallSchoolMaster',
    method: 'put',
    data: data
  })
}

// 删除学校硕士点
export function delMallSchoolMaster(masterId) {
  return request({
    url: '/mall/mallSchoolMaster/' + masterId,
    method: 'delete'
  })
}
